clear all
clc

load 'shouldercool.dat'; 
T1 = shouldercool(:,1); 
xice1 = shouldercool(:,2);
h1 = shouldercool(:,3);

width = 0.105;
height = 0.035;

ni=120;
nj=40;

T = zeros(2*ni,2*nj);
xice = zeros(2*ni,2*nj);
h = zeros(2*ni,2*nj);

for i=1:ni
    for j=1:nj
        k=j+(i-1)*nj;
        T(i,j)=T1(k);
        T(i,2*nj-(j-1))=T1(k);
        T(2*ni-(i-1),2*nj-(j-1))=T1(k);
        T(2*ni-(i-1),j)=T1(k);
        xice(i,j)=xice1(k);
        xice(i,2*nj-(j-1))=xice1(k);
        xice(2*ni-(i-1),2*nj-(j-1))=xice1(k);
        xice(2*ni-(i-1),j)=xice1(k);
        h(i,j)=h1(k);
        h(i,2*nj-(j-1))=h1(k);
        h(2*ni-(i-1),2*nj-(j-1))=h1(k);
        h(2*ni-(i-1),j)=h1(k);
    end
end
xice = xice*100;

dx = width/ni;
dy = height/nj;
x = dx/2:dx:2*width-dx/2;
y = dy/2:dy:2*height-dy/2;
[X,Y] = meshgrid(x,y);

Tfig = figure(1);
surface(X,Y,T')
axis equal tight
xlabel('Bredde (m)')
ylabel('Hyde (m)')
xlim([0 2*width])
ylim([0 2*height])
colorbar
ylabel(colorbar,'Temperatur (\circC)')
shading flat
print(Tfig,'-dpdf','temperaturnakke.pdf')

iceFig = figure(2);
colormap(flipud(gray))
surface(X,Y,xice')
axis equal tight
xlabel('Bredde (m)')
ylabel('Hyde (m)')
xlim([0 2*width])
ylim([0 2*height])
colorbar
caxis([0 100])
ylabel(colorbar,'Isfraksjon (%)')
shading flat
print(iceFig,'-dpdf','isnakke.pdf')

hFig = figure(3);
colormap(jet)
surface(X,Y,h')
axis equal tight
xlabel('Bredde (m)')
ylabel('Hyde (m)')
xlim([0 2*width])
ylim([0 2*height])
colorbar
ylabel(colorbar,'Spesifikk entalpi (kJ/kg)')
shading flat
print(iceFig,'-dpdf','entalpinakke.pdf')

